Bug 165887 - Kmail crashes when navigating to new folder
Kmail crashes when navigating to new folder
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
3
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-13 12:56 EDT by Mike
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-08 04:46:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike 2005-08-13 12:56:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.3.1

Description of problem:
After starting Kmail, selecting a folder causes kmail to crash intermittently. The  "kde crash handler" shows:

Using host libthread_db library "/lib/tls/libthread_db.so.1".
`shared object read from target memory' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1245219136 (LWP 6455)]
[KCrash handler]
#4  0xb7385402 in DwHeaders::FindField () from /usr/lib/libmimelib.so.1
#5  0xb7c26919 in KMMessage::headerField () from /usr/lib/libkmailprivate.so
#6  0xb7c274e7 in KMMessage::from () from /usr/lib/libkmailprivate.so
#7  0xb7df82ea in KMail::FancyHeaderStyle::format ()
   from /usr/lib/libkmailprivate.so
#8  0xb7d0571a in KMReaderWin::writeMsgHeader ()
   from /usr/lib/libkmailprivate.so
#9  0xb7d0792b in KMReaderWin::parseMsg () from /usr/lib/libkmailprivate.so
#10 0xb7d081d2 in KMReaderWin::displayMessage ()
   from /usr/lib/libkmailprivate.so
#11 0xb7d08393 in KMReaderWin::updateReaderWin ()
   from /usr/lib/libkmailprivate.so
#12 0xb7d0a350 in KMReaderWin::qt_invoke () from /usr/lib/libkmailprivate.so
#13 0xb637e10e in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#14 0xb637e7e4 in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#15 0xb66b28dd in QTimer::timeout () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#16 0xb639debc in QTimer::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#17 0xb631f539 in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#18 0xb631f6ca in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#19 0xb691b028 in KApplication::notify () from /usr/lib/libkdecore.so.4
#20 0xb63138ab in QEventLoop::activateTimers ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#21 0xb62cf6fe in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#22 0xb6334b85 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0xb6334ade in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#24 0xb631e73b in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#25 0x0804a2fc in ?? ()
#26 0xbfdd2480 in ?? ()
#27 0xbfdd2390 in ?? ()
#28 0x00000000 in ?? ()


Regards, Mike Klinke

Version-Release number of selected component (if applicable):
kdepim-3.4.2-0.fc3.1

How reproducible:
Sometimes

Steps to Reproduce:
1.Start KDE
2.Navigate to a folder
3.
  

Actual Results:  Crash as described above

Expected Results:  No crash

Additional info:
Comment 1 Ngo Than 2006-05-08 04:46:40 EDT
it should be fixed in new KDE 3.5.2 which is included in FC5 current release.
You should please update to new FC5. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.